Bug 221399 - SquirrelMail servertype menus are inconsistent
SquirrelMail servertype menus are inconsistent
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: squirrelmail (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Hlavinka
http://bugs.centos.org/view.php?id=1637
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-04 09:39 EST by Johnny Hughes
Modified: 2010-03-05 08:58 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-05 08:58:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Hughes 2007-01-04 09:39:01 EST
Description of problem:
There are 2 ways to set the $imap_server_type variable in Squirrelmail using
"perl /usr/share/squirrelmail/config/conf.pl"

In latest version, the 2 method show different menu items:
-------------------------------------------------
The menu item 2->a->8 shows this:

Each IMAP server has its own quirks. As much as we tried to stick
to standards, it doesn't help much if the IMAP server doesn't follow
the same principles. We have made some work-arounds for some of
these servers. If you would like to use them, please select your
IMAP server. If you do not wish to use these work-arounds, you can
set this to "other", and none will be used.
    cyrus = Cyrus IMAP server
    uw = University of Washington's IMAP server
    exchange = Microsoft Exchange IMAP server
    courier = Courier IMAP server
    macosx = Mac OS X Mailserver
    hmailserver = hMailServer
    other = Not one of the above servers
-------------------------------------------------
While the menu item: D show this:

While we have been building SquirrelMail, we have discovered some
preferences that work better with some servers that don't work so
well with others. If you select your IMAP server, this option will
set some pre-defined settings for that server.

Please note that you will still need to go through and make sure
everything is correct. This does not change everything. There are
only a few settings that this will change.

Please select your IMAP server:
    bincimap = Binc IMAP server
    courier = Courier IMAP server
    cyrus = Cyrus IMAP server
    dovecot = Dovecot Secure IMAP server
    exchange = Microsoft Exchange IMAP server
    hmailserver = hMailServer
    macosx = Mac OS X Mailserver
    mercury32 = Mercury/32
    uw = University of Washington's IMAP server

    quit = Do not change anything
-------------------------------------------------
I think the two menus should show the same names, as the variable
$imap_server_type is changed in each case.
-------------------------------------------------

Version Info:
squirrelmail-1.4.8-2.el4

This bug is from the following CentOS bugtrack item:
http://bugs.centos.org/view.php?id=1637
Comment 1 Ralph Angenendt 2007-01-04 10:36:44 EST
Same is true for the squirrelmail package in RHEL 3U8.
Comment 2 Warren Togami 2007-01-04 15:43:55 EST
Please get upstream to fix it, and we will incorporate it in a future release.
Comment 3 Johnny Hughes 2007-01-07 01:12:46 EST
This bug has been submitted to the SquirrelMail bugzilla:

http://sourceforge.net/tracker/index.php?func=detail&aid=1629722&group_id=311&atid=100311
Comment 4 Johnny Hughes 2007-01-07 08:28:40 EST
This has now been added to SquirrelMail CVS ...

http://squirrelmail.cvs.sourceforge.net/squirrelmail/squirrelmail/config/conf.pl?revision=1.278&view=markup

It will be in Version 1.4.10 of SquirrelMail ... and can be backported to the
RHEL version if desired.
Comment 5 Martin Bacovsky 2007-05-30 13:59:46 EDT
I would like to fix this using rebase to 1.4.10a
Comment 6 Martin Bacovsky 2007-08-21 11:24:00 EDT
re-proposed to 4.7
Comment 7 RHEL Product and Program Management 2008-02-01 14:10:45 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 8 Michal Hlavinka 2010-03-05 08:58:25 EST
I'm sorry for not addressing the issue in RHEL-4. As squirrelmail
is not scheduled for update in RHEL-4.9, I'm closing that bugzilla WONTFIX. If
you are still experiencing the issue with RHEL-5, feel free to reopen it
against RHEL-5.

Note You need to log in before you can comment on or make changes to this bug.